curl https://flameproxies.com/api/customer/packages/PACKAGE_ID/add-data \
-H "Authorization: Bearer fp_live_xxx" \
-H "Content-Type: application/json" \
-d '{"quantity":2}'
import requests
package_id = 123
resp = requests.post(
f"https://flameproxies.com/api/customer/packages/{package_id}/add-data",
headers={"Authorization": "Bearer fp_live_xxx"},
json={"quantity": 2},
)
print(resp.json()["order"])
const packageId = 123;
const resp = await fetch(
`https://flameproxies.com/api/customer/packages/${packageId}/add-data`,
{
method: "POST",
headers: {
Authorization: "Bearer fp_live_xxx",
"Content-Type": "application/json",
},
body: JSON.stringify({ quantity: 2 }),
}
);
console.log(await resp.json());
{
"package_id": 123,
"internal_id": "70437286-78a1-427c-b9fd-c299baadf3a9",
"subuser_id": "56789",
"order": {
"id": 988,
"status": "paid",
"action": "topup",
"product": "premium_residential",
"quantity": 2,
"gb_credit_used": 1,
"billable_quantity": 1,
"total_amount": 3.5,
"created_at": "2026-05-13T12:00:00.000Z"
}
}
Packages
Add data
Adds GB to an existing residential or premium residential package. GB credits are used first, then your wallet balance.
POST
/
api
/
customer
/
packages
/
{id}
/
add-data
curl https://flameproxies.com/api/customer/packages/PACKAGE_ID/add-data \
-H "Authorization: Bearer fp_live_xxx" \
-H "Content-Type: application/json" \
-d '{"quantity":2}'
import requests
package_id = 123
resp = requests.post(
f"https://flameproxies.com/api/customer/packages/{package_id}/add-data",
headers={"Authorization": "Bearer fp_live_xxx"},
json={"quantity": 2},
)
print(resp.json()["order"])
const packageId = 123;
const resp = await fetch(
`https://flameproxies.com/api/customer/packages/${packageId}/add-data`,
{
method: "POST",
headers: {
Authorization: "Bearer fp_live_xxx",
"Content-Type": "application/json",
},
body: JSON.stringify({ quantity: 2 }),
}
);
console.log(await resp.json());
{
"package_id": 123,
"internal_id": "70437286-78a1-427c-b9fd-c299baadf3a9",
"subuser_id": "56789",
"order": {
"id": 988,
"status": "paid",
"action": "topup",
"product": "premium_residential",
"quantity": 2,
"gb_credit_used": 1,
"billable_quantity": 1,
"total_amount": 3.5,
"created_at": "2026-05-13T12:00:00.000Z"
}
}
Adds GB directly to an existing residential or premium residential package. Your reusable GB credits are consumed first, and your wallet balance is charged for the remaining GB.
The response shows how the top-up was paid:
gb_credit_used is the GB covered by credits, and billable_quantity is the GB charged to your wallet.
string
required
ID of the package to add data to, from list packages.
number
required
Number of GB to add.
curl https://flameproxies.com/api/customer/packages/PACKAGE_ID/add-data \
-H "Authorization: Bearer fp_live_xxx" \
-H "Content-Type: application/json" \
-d '{"quantity":2}'
import requests
package_id = 123
resp = requests.post(
f"https://flameproxies.com/api/customer/packages/{package_id}/add-data",
headers={"Authorization": "Bearer fp_live_xxx"},
json={"quantity": 2},
)
print(resp.json()["order"])
const packageId = 123;
const resp = await fetch(
`https://flameproxies.com/api/customer/packages/${packageId}/add-data`,
{
method: "POST",
headers: {
Authorization: "Bearer fp_live_xxx",
"Content-Type": "application/json",
},
body: JSON.stringify({ quantity: 2 }),
}
);
console.log(await resp.json());
{
"package_id": 123,
"internal_id": "70437286-78a1-427c-b9fd-c299baadf3a9",
"subuser_id": "56789",
"order": {
"id": 988,
"status": "paid",
"action": "topup",
"product": "premium_residential",
"quantity": 2,
"gb_credit_used": 1,
"billable_quantity": 1,
"total_amount": 3.5,
"created_at": "2026-05-13T12:00:00.000Z"
}
}
Response
number
Numeric package ID.
string
The package’s UUID.
string
ID of the sub-user behind this package.
object
The top-up order.
Show order
Show order
number
Order ID.
string
Order status, for example
paid.string
topup for add data orders.string
Product:
residential or premium_residential.number
GB added to the package.
number
GB paid for with GB credits.
number
GB charged to your wallet balance.
number
Amount charged to your wallet, in USD.
string
When the order was created, as an ISO 8601 timestamp.
